Subject: [clue] Global Views and media type - RE: Updates in framework-17

From: "Duckworth, Mark" <[email-masked]>
Date: Mon, 20 Oct 2014 11:12:10 -0700

Hi Paul,
Responses Inline.
Mark

> -----Original Message-----
> From: clue [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Tuesday, October 14, 2014 11:28 AM
> To: [email-masked]
> Subject: Re: [clue] Updates in framework-17
> 
> On 10/13/14 7:21 PM, Christian Groves wrote:
> > Hello
> >
> >>
> >>> Global View List: A list of Global Views included in an Advertisement.
> >>
> >> I think we need to clarify: does a Global View List contain only
> >> Global Views of a single media type? (This implies that we need a
> >> separate Global View List for each media type.) Or is there a single
> >> Global View List containing Global Views of different types? The data
> >> model currently has followed the second model.
> > [CNG] Scenes contains different types of media (e.g. audio and video) so
> > would then a list of scenes (Global View List) then also refers to
> > different types of media?

[Duckworth, Mark] I will add a statement that "A Global View List may include
Global Views of different media types"

> - Each scene contains a number of captures,
>    each of a particular media type.
> - Each scene contains a single sceneViews element.
>    That contains a number of sceneView elements.
>    This includes sceneView elements of differing media types.
> - Each sceneView element contains a mediaCaptureIDs element
>    referencing a number of mediaCapture elements in the scene
>    and all of a single media type.
> - The advertisement contains a *single* globalViews element,
>    that contains multiple globalView elements.
>    (Hence it had better encompass multiple media types.)
> - The globalView element references multiple sceneView elements.
> 
> There is currently no statement whether or not all the sceneView
> elements referenced by a globalView must be of the same type.

[Duckworth, Mark] Yes there is, in the definition of Global View in the framework:
"A set of references to one or more Capture Scene Views of the same media type..." 
I think this is correct and we should stick with it.

> 
> We must make a choice here:
> 
> 1) for a particular globalView element, all of the referenced
>     sceneView elements must be of a single media type.
>     In this case, a consumer should choose one globalView element
>     of each type.
> 
> 2) each globalView element may reference sceneView elements of
>     multiple media types. Presumably in this case the chosen
>     sceneView elements of differing types have been chosen to
>     work well together. Presumably a consumer should choose
>     a single globalView element.
> 
> We already made a similar choice when we decided to restrict the
> elements of a sceneView to a single type. If we want to be consistent
> with that, then we should choose (1) above.

[Duckworth, Mark] (1) is already chosen and documented, I don't see a need to change it.

> The tradeoffs are:
> 
> For (1):
> - the assumption is that the choice of views for different media
>    types are independent - any audio will work equally well with
>    any video. This may not be true.
> 
> For (2):
> - this is (arguably) easier for the consumer. It need only
>    search for a single globalView that it can render. And
>    when it chooses one, it can assume that it is a well tuned
>    combination of the different media types.
> 
> - if media of different types *are* independent, then it will
>    take more globalView elements to describe all the combinations
>    than (1) does.
> 
> 	Thanks,
> 	Paul
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue